<form novalidate [formGroup]="form_attr" >
  <table class="field-full-width center-text text-center" cellspacing="0" *ngIf="!isAddOnlyAttribute">
    <tr class="row">
      <td class=" col-sm-12	col-mat-5	col-lg-5 col-xl5 ">
        <mat-form-field class="example-full-width">
          <input matInput placeholder="Nombre" formControlName="name">
          <mat-error *ngIf="form_attr.controls.name.errors && form_attr.controls.name.touched">
              <mat-error *ngIf="form_attr.controls.name.errors.required">
                  El nombre es <strong>requerido</strong>
              </mat-error>
          </mat-error>
        </mat-form-field>
      </td>
      <td class=" col-sm-12	col-mat-5	col-lg-5 col-xl-5 ">
          <mat-form-field class="example-full-width"  >
              <textarea matInput placeholder="Descripción" formControlName="description"></textarea>
              <mat-error *ngIf="form_attr.controls.description.errors && form_attr.controls.description.touched">
                  
              </mat-error>
          </mat-form-field>
      </td>
     
    </tr>
    <tr class="row">
       
    </tr>
  </table>

  {{isAddOnlyAttribute |json}}

  <button mat-raised-button (click)="isValue=!isValue" >Agregar Valores</button>

  <mat-card *ngIf="isValue || isAddOnlyAttribute">
      <form novalidate [formGroup]="form_attr_val">
          <table class="field-full-width center-text text-center" cellspacing="0">
            <tr class="row">
              <td class=" col-sm-12	col-mat-5	col-lg-5 col-xl5 ">
                <mat-form-field class="example-full-width">
                  <input matInput placeholder="Nombre" formControlName="name">
                  <mat-error *ngIf="form_attr_val.controls.name.errors && form_attr_val.controls.name.touched">
                      <mat-error *ngIf="form_attr_val.controls.name.errors.required">
                          El nombre es <strong>requerido</strong>
                      </mat-error>
                  </mat-error>
                </mat-form-field>
              </td>
              <td class=" col-sm-12	col-mat-5	col-lg-5 col-xl-5 ">
                  <mat-form-field class="example-full-width"  >
                      <textarea matInput placeholder="Descripción" formControlName="description"></textarea>
                      <mat-error *ngIf="form_attr_val.controls.description.errors && form_attr_val.controls.description.touched">
                          
                      </mat-error>
                  </mat-form-field>
              </td>
             
            </tr>
            <tr class="row">
               
            </tr>
          </table>
        </form>
       
    
  </mat-card>
  <div>
      <button mat-button mat-dialog-close> Cerrar </button>
      <button mat-fab color="primary"  (click)="save()"  class="tky-right"> <mat-icon>save</mat-icon>    </button>

  </div>
  
</form>
